body {
  font-family: Arial, sans-serif;
  background: #f1f5f9;
  display: flex;
  justify-content: center;
  margin-top: 40px;
}

h1 {
  text-align: center;
  color: #4338ca;
}

.form {
  display: flex;
  gap: 8px;
}

input {
  flex: 1;
  padding: 10px;
  border: 1px solid #cbd5e1;
  border-radius: 6px;
  color: #64748b;
  transition: 0.3s;
}

.input::placeholder {
  color: #64748b;
}

.input[type="date"] {
  color: #64748b;
}

input:hover {
  border-color: #6366f1;
  box-shadow: 0 0 5px rgba(99, 102, 241, 0.3);
}

.form input:focus {
  border-color: #4338ca;
}

button {
  padding: 10px 14px;
  border: none;
  background: #4f46e5;
  color: white;
  border-radius: 6px;
  cursor: pointer;
}

button:hover {
  background: #4338ca;
}

li {
  list-style: none;
  margin-top: 10px;
  padding: 10px;
  border-radius: 6px;
  display: flex;
  justify-content: space-between;
  width: 100%;
  box-sizing: border-box;
}

li span {
  font-weight: bold;
}

.hapus {
  background: #ef4444;
}

.hapus:hover {
  background: #dc2626;
}

.card {
  width: 500px;
  background: white;
  padding: 20px;
  border-radius: 10px;
}

.aksi {
  display: flex;
  gap: 6px;
}

.edit {
  background: #f59e0b;
}

.edit:hover {
  background: #d97706;
}

.status {
  background: #10b981;
}

.status:hover {
  background: #059669;
}

.progress {
  color: orange;
  font-weight: bold;
}

.done {
  color: green;
  font-weight: bold;
  text-decoration: line-through;
}

.undo {
  background: #6b7280;
}

.undo:hover {
  background: #4b5563;
}

#daftarTugas {
  padding: 0;
}
